Advanced Features
Advance Received Payment
Advance a Received Payment to provide early access to funds before the completion date.
In order to use this API, you must implement the Advance Received Payment capability.
Only received payments that are in status Pending can be advanced.
| Verb | POST |
| URL | https://api.s.unit.sh/received-payments/{id}/advance |
| Required Scope | received-payments-write |
| Timeout (Seconds) | 5 |
Response
Response is a JSON:API document.
200 OK
| Name | Type | Description |
|---|---|---|
| data | Received Payment | The advanced received payment. |
curl -X POST 'https://api.s.unit.sh/received-payments/61212/advance' \
-H "Authorization: Bearer ${TOKEN}"
Reprocess Received Payment
Reprocess a Received ACH Debit Payment in case it was MarkedForReturn due to InsufficientFunds.
The reprocess functionality is disabled by default. If you would like to enable it, please contact Unit.
Only received payments that are in status MarkedForReturn can be reprocessed.
| Verb | POST |
| URL | https://api.s.unit.sh/received-payments/{id}/reprocess |
| Required Scope | received-payments-write |
| Timeout (Seconds) | 5 |
Response
Response is a JSON:API document.
200 OK
| Name | Type | Description |
|---|---|---|
| data | Received Payment | The reprocessed received payment. |
curl -X POST 'https://api.s.unit.sh/received-payments/61212/reprocess' \
-H "Authorization: Bearer ${TOKEN}"
Return Received ACH Transaction
Returns a Received ACH transaction with a specified ACH Return Reason.
Returning a Received ACH transaction creates a Returned Received ACH transaction, posting the funds immediately in the opposite direction.
This API is not enabled by default for all customers. Please contact Unit if you need to enable this functionality.
| Verb | POST |
| URL | https://api.s.unit.sh/returns/:transactionId |
| Data Type | returnAch |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|---|---|
| reason | string | The ACH Return Reason for returning the transaction. |
Relationships
| Name | Type | Description |
|---|---|---|
| account | JSON:API Relationship | The Deposit Account of the customer. |
Response
Response is a JSON:API document.
200 OK
| Name | Type | Description |
|---|---|---|
| data | ReturnedReceivedAchTransaction | Transaction resource. |
{
"data": {
"type": "returnAch",
"attributes": {
"reason": "AccountFrozen"
},
"relationships": {
"account": {
"data": {
"type": "depositAccount",
"id": "13052"
}
}
}
}
}
Reasons for Returning a Received ACH Transaction
The following reasons can be used to initiate a return of a received ACH transaction:
| Type | Short Description |
|---|---|
AccountFrozen | Account is not authorized to receive the funds |
UncollectedFunds | Although there's currently sufficient balance in the account, the balance that is available for spending is below this dollar value, since some of the funds are committed to payments that have not been settled yet. |